| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Code Process

Code Process Definitions and Methods. More...

## Classes
class | CodeProcessData
| Code Process data. More...
class | CodeProcessDataModify
| Modify Code Process data. More...
class | CodeProcessListData
| Code Process List data. More...
class | CodeProcessDataCreate
| Create Code Process data. More...
class | CodeOperation
| Code Operation data. More...
class | unsp__ArrayOfCodeOperation
| Array of Code Operation data. More...
class | unsp__CreateCodeProcessRequest
| Create Code Process request. More...
struct | unsp__CreateCodeProcessResult
| Create Code Process result. More...
class | unsp__ListCodeProcessRequest
| List Code Process request. More...
class | unsp__CodeProcessList
| List of Code Processes. More...
class | unsp__ArrayOfCodeProcessList
| Array of Code Process Lists. More...
struct | unsp__CodeProcessListResult
| Code Processes List result. More...
class | unsp__ModifyCodeProcessRequest
| Modify Code Process request. More...
struct | unsp__ModifyCodeProcessResult
| Modify Code Process result. More...
class | unsp__QueryCodeProcessRequest
| Query Code Process request. More...
class | unsp__CodeProcess
| Code Process Data. More...
class | unsp__ArrayOfCodeProcess
| Array of Code Process Data. More...
struct | unsp__CodeProcessResult
| Query Code Process result. More...
class | unsp__RemoveCodeProcessRequest
| Remove Code Process request. More...
struct | unsp__RemoveCodeProcessResult
| Remove Code Process result. More...

## Functions
int | unsp__createCodeProcess (unsp__CreateCodeProcessRequest CreateCodeProcessRequest, struct unsp__CreateCodeProcessResult *CreateCodeProcessResult)
| Creates a Code Process. More...
int | unsp__listCodeProcess (unsp__ListCodeProcessRequest ListCodeProcessRequest, struct unsp__CodeProcessListResult *ListCodeProcessResult)
| List Code Processes. More...
int | unsp__modifyCodeProcess (unsp__ModifyCodeProcessRequest ModifyCodeProcessRequest, struct unsp__ModifyCodeProcessResult *ModifyCodeProcessResult)
| Modifies a Code Process. More...
int | unsp__queryCodeProcess (unsp__QueryCodeProcessRequest QueryCodeProcessRequest, struct unsp__CodeProcessResult *QueryCodeProcessResult)
| Queries Code Processes. More...
int | unsp__removeCodeProcess (unsp__RemoveCodeProcessRequest RemoveCodeProcessRequest, struct unsp__RemoveCodeProcessResult *RemoveCodeProcessResult)
| Removes a Code Process. More...

## Detailed Description

Code Process Definitions and Methods.

OpenScape Voice provides a generic code processing functionality. The generic code processing is performed after the original called number has been translated in the E.164 code table. Code processing involves the capability to modify the digit string and its Nature of Address. With code processing more advanced digit modification is possible than with the modification capabilities of the prefix access codes table or on the routes to SIP endpoints or ENUM operators.

The following Code Processing features are provided:

- Modify the called party number and Nature of Address (NOA).
- Retranslate/do not retranslate after code modification.
- If the initial translation provides a traffic type, then this traffic type is overwritten by a new translation.
- If flags are specified for the initial translation (e.g., National Prefix required), then screening is done prior to code processing.
- Routing Area and COS are applied to initial and retranslation - no changes in these for retranslation
- To prevent a "code processing loop", code processing will be stopped after 2 consecutive retranslations (3 translations in total).

In order to create a new code processing entity the user should specify the digit position that he will start to add or delete digits from the called number. Then they have the option to delete a number of digits starting from that position or to add a new digit sequence starting again from the defined digit position. A code processing entity can contain up to four operations (additions or deletions) with the precondition that the maximum number of additions or deletions is two. This means that if a code processing table contains four entries, then two additions and two deletions should occur. During the "digit manipulation", all the entries for the particular "Code Process" object will apply in the sequence they are provisioned.

## Function Documentation

## ◆ unsp__createCodeProcess()

unsp__createCodeProcess | ( | unsp__CreateCodeProcessRequest | CreateCodeProcessRequest,
|  | struct unsp__CreateCodeProcessResult * | CreateCodeProcessResult
| ) |  |

Creates a Code Process.

Parameters

  CreateCodeProcessRequest | API request
  CreateCodeProcessResult | API result MP2 command: CodeProcess [Attributes]

## ◆ unsp__listCodeProcess()

unsp__listCodeProcess | ( | unsp__ListCodeProcessRequest | ListCodeProcessRequest,
|  | struct unsp__CodeProcessListResult * | ListCodeProcessResult
| ) |  |

List Code Processes.

Parameters

  ListCodeProcessRequest | API request
  ListCodeProcessResult | API result

## ◆ unsp__modifyCodeProcess()

unsp__modifyCodeProcess | ( | unsp__ModifyCodeProcessRequest | ModifyCodeProcessRequest,
|  | struct unsp__ModifyCodeProcessResult * | ModifyCodeProcessResult
| ) |  |

Modifies a Code Process.

Parameters

  ModifyCodeProcessRequest | API request
  ModifyCodeProcessResult | API result MP2 command: ModifyCodeProcess [Attributes]

## ◆ unsp__queryCodeProcess()

unsp__queryCodeProcess | ( | unsp__QueryCodeProcessRequest | QueryCodeProcessRequest,
|  | struct unsp__CodeProcessResult * | QueryCodeProcessResult
| ) |  |

Queries Code Processes.

Parameters

  QueryCodeProcessRequest | API request
  QueryCodeProcessResult | API result

## ◆ unsp__removeCodeProcess()

unsp__removeCodeProcess | ( | unsp__RemoveCodeProcessRequest | RemoveCodeProcessRequest,
|  | struct unsp__RemoveCodeProcessResult * | RemoveCodeProcessResult
| ) |  |

Removes a Code Process.

Parameters

  RemoveCodeProcessRequest | API request
  RemoveCodeProcessResult | API result MP2 command: RemoveCodeProcess [Attributes]